/**
 * 全局数据状态管理模块定义
 */

import { defineNamespace } from "@cqsjjb/jjb-dva-runtime";

export const NS_GLOBAL = defineNamespace("global");
export const NS_APPROVER_USER = defineNamespace("approverUser");
export const NS_FIRST_LEVEL_DOOR_INFO = defineNamespace("firstLevelDoorInfo");
export const NS_VEHICLE_AUDIT = defineNamespace("vehicleAudit");
export const NS_TEMPORARY_PERSONNEL = defineNamespace("temporaryPersonnel");
export const NS_TEMPORARY_VEHICLE = defineNamespace("temporaryVehicle");
export const NS_STOCK_PERSONNEL_AND_VEHICLES = defineNamespace("stockPersonnelAndVehicles");
export const NS_VEHICLE_APPLY = defineNamespace("vehicleApply");
export const NS_BRANCH_PERSONNEL_AND_VEHICLES = defineNamespace("branchPersonnelAndVehicles");
export const NS_STAKEHOLDER_PERSONNEL_AND_VEHICLES = defineNamespace("stakeholderPersonnelAndVehicles");
export const NS_VEHICLES_VIOLATION = defineNamespace("vehiclesViolation");
export const NS_VEHICLE_BLACKLIST = defineNamespace("vehicleBlacklist");
export const NS_PERSONNEL_PERMISSION_RECORDS = defineNamespace("personnelPermissionRecords");
export const NS_PERSONNEL_APPLICATION = defineNamespace("personnelApplication");
export const NS_ENCLOSED_AREA = defineNamespace("enclosedArea");
export const NS_ENCLOSED_AREA_PERSONNEL_APPLY = defineNamespace("enclosedAreaPersonnelApply");
export const NS_ENCLOSED_AREA_VEHICLE_APPLY = defineNamespace("enclosedAreaVehicleApply");
export const NS_ENCLOSED_PERSONNEL_AND_VEHICLE_STATISTICS = defineNamespace("enclosedPersonnelAndVehicleStatistics");
export const NS_ENCLOSED_ENTERPRISE_PERSONNEL_PERMISSIONS = defineNamespace("enclosedEnterprisePersonnelPermissions");
export const NS_MOBILE = defineNamespace("mobile");
